<?php
if (!defined('TYPO3_MODE')) die('Access denied.');

/**
 * Test case for: locallangXMLOverride not working due to incorrect language file path
 * https://forge.typo3.org/issues/86683
 * 
 * Override BE page title, nav_title, subtitle formlabels using different language files
 */

// Test in multiple files - See https://forge.typo3.org/issues/86683
/// Backend - module tabs title
//// Web module - page
///// Lang - default
$GLOBALS['TYPO3_CONF_VARS']['SYS']['locallangXMLOverride']['EXT:backend/Resources/Private/Language/locallang_mod.xlf'][] =
    'EXT:test_86683/Resources/Private/Language/tx_backend_locallang_mod.xlf';
///// Lang - de
$GLOBALS['TYPO3_CONF_VARS']['SYS']['locallangXMLOverride']['de']['EXT:backend/Resources/Private/Language/locallang_mod.xlf'][] =
    'EXT:test_86683/Resources/Private/Language/de.tx_backend_locallang_mod.xlf';
//// Web module - viewpage
///// Lang - default
$GLOBALS['TYPO3_CONF_VARS']['SYS']['locallangXMLOverride']['EXT:viewpage/Resources/Private/Language/locallang_mod.xlf'][] =
    'EXT:test_86683/Resources/Private/Language/tx_viewpage_locallang_mod.xlf';
///// Lang - de
$GLOBALS['TYPO3_CONF_VARS']['SYS']['locallangXMLOverride']['de']['EXT:viewpage/Resources/Private/Language/locallang_mod.xlf'][] =
    'EXT:test_86683/Resources/Private/Language/de.tx_viewpage_locallang_mod.xlf';
/// Frontend
//// Felogin
///// Lang - default
$GLOBALS['TYPO3_CONF_VARS']['SYS']['locallangXMLOverride']['EXT:felogin/Resources/Private/Language/locallang.xlf'][] =
    'EXT:test_86683/Resources/Private/Language/tx_felogin_locallang.xlf';
///// Lang - de
$GLOBALS['TYPO3_CONF_VARS']['SYS']['locallangXMLOverride']['de']['EXT:felogin/Resources/Private/Language/locallang.xlf'][] =
    'EXT:test_86683/Resources/Private/Language/de.tx_felogin_locallang.xlf';

//// indexed_search (submit button)
///// Lang - default
$GLOBALS['TYPO3_CONF_VARS']['SYS']['locallangXMLOverride']['EXT:indexed_search/Resources/Private/Language/locallang.xlf'][] =
    'EXT:test_86683/Resources/Private/Language/indexed_search_locallang.xlf';

//// news (return button in detail view)
///// Lang - default
$GLOBALS['TYPO3_CONF_VARS']['SYS']['locallangXMLOverride']['EXT:news/Resources/Private/Language/locallang.xlf'][] =
    'EXT:test_86683/Resources/Private/Language/news_locallang.xlf';

#// Test in single file - See https://forge.typo3.org/issues/86674
#/// Backend
#//// Web module - page
#///// Lang - default
#$GLOBALS['TYPO3_CONF_VARS']['SYS']['locallangXMLOverride']['EXT:backend/Resources/Private/Language/locallang_mod.xlf'][] =
#    'EXT:test_86683/Resources/Private/Language/custom_locallang.xlf';
#///// Lang - de
#$GLOBALS['TYPO3_CONF_VARS']['SYS']['locallangXMLOverride']['de']['EXT:backend/Resources/Private/Language/locallang_mod.xlf'][] =
#    'EXT:test_86683/Resources/Private/Language/de.custom_locallang.xlf';
#/// Frontend
#//// Felogin
#///// Lang - default
#$GLOBALS['TYPO3_CONF_VARS']['SYS']['locallangXMLOverride']['EXT:felogin/Resources/Private/Language/locallang.xlf'][] =
#    'EXT:test_86683/Resources/Private/Language/custom_locallang.xlf';
#///// Lang - de
#$GLOBALS['TYPO3_CONF_VARS']['SYS']['locallangXMLOverride']['de']['EXT:felogin/Resources/Private/Language/locallang.xlf'][] =
#    'EXT:test_86683/Resources/Private/Language/de.custom_locallang.xlf';
